------------------------------------------------------------------------------
--
-- Filename:                dx.vhd
-- Inhalt:                  1 aus 4 Demultiplexer
--
------------------------------------------------------------------------------
--
-- Autor:                   Gunther Lehmann
-- Letzte Aenderung:        07.02.94
--
------------------------------------------------------------------------------

ENTITY dx IS
	PORT(sel: IN bit_vector ( 0 TO 1);
		stelle1,stelle2,stelle3,stelle4:  OUT bit);
END dx;

------------------------------------------------------------------------------

ARCHITECTURE behavioral OF dx IS
BEGIN
    PROCESS (sel)
    BEGIN
	CASE sel IS
		WHEN "00" => stelle1 <= '0';
			     stelle2 <= '1';
			     stelle3 <= '1';
			     stelle4 <= '1';
		WHEN "01" => stelle1 <= '1';
			     stelle2 <= '0';
			     stelle3 <= '1';
			     stelle4 <= '1';
		WHEN "10" => stelle1 <= '1';
			     stelle2 <= '1';
			     stelle3 <= '0';
			     stelle4 <= '1';
		WHEN "11" => stelle1 <= '1';
			     stelle2 <= '1';
			     stelle3 <= '1';
			     stelle4 <= '0';
	END CASE;
    END PROCESS;
END behavioral;

